Bug 505380 - The Fedora Installer leaves firewall configured to block NIS when selecting NIS at install
The Fedora Installer leaves firewall configured to block NIS when selecting N...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 458448
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 13:35 EDT by Jonathan Abbey
Modified: 2010-06-28 08:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:53:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Abbey 2009-06-11 13:35:22 EDT
Description of problem:

When installing Fedora 11, if the user chooses NIS authentication, the system
will come up properly configured for NIS usage, but the firewall is left configured in a way that prevents ypbind from functioning.

Version-Release number of selected component (if applicable):

Fedora 11 installer.

How reproducible:

Install Fedora 11, select NIS authentication.

Steps to Reproduce:
1.Boot the system.
2.Login with the local root account from a text console
3.Run ypwhich
  
Actual results:

See that ypbind failed to start and bind to the NIS server

Expected results:

The ypwhich command should result in the name of the NIS server that the system is bound to.

Additional info:

This is on a system using Network Manager with dynamic DHCP.  If the firewall is disabled, everything works fine.  If the firewall is enabled with the default settings, users cannot login.

If this behavior cannot be avoided, due to the use of portmap with NIS, the Fedora Installer should advise the user that selecting NIS requires the firewall configuration to be disabled or amended.  Letting the user choose NIS and then having the system fail without warning is not a desirable result.
Comment 1 Vitezslav Crhonek 2009-06-16 09:13:09 EDT
There's no way how to do it within ypbind package. Should be probably fixed in firstboot, so changing component to it. I'll stay in CC.
Comment 2 Chris Lumens 2009-06-29 08:15:02 EDT
There's no firewall configuration in firstboot anymore.  This is something that authconfig and system-config-firewall are going to need to discuss.
Comment 3 Tomas Mraz 2009-06-29 08:39:52 EDT
Are you sure, that it is not possible to use NIS with some proper firewall configuration settings? I do not like to make authconfig completely disable firewall.

Thomas Woerner, is there a command-line interface to system-config-firewall which could be used to disable firewall or perhaps set it up to support NIS?
Comment 4 Thomas Woerner 2009-06-29 09:08:56 EDT
Tomas: Are the ports fixed now or are they still dynamic?

Currently there is no NIS/RPC/portmap service defined in system-config-firewall because the firewall is not able to handle dynamic ports and is also started long before NIC/RPC/portmap and can also not guess the random ports that might be used later on.
Comment 5 Petr Šplíchal 2009-08-18 04:34:47 EDT
Seems the problem with the dynamic port opened by ypbind is still
present and thus the firewall setup for NIS is not easily
possible.  See bug 458448 for more details.
Comment 6 Bug Zapper 2010-04-27 10:46:55 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 08:53:57 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.